
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>基于.NET平台的Windows编程实战（二） 需求分析与数据库设计 / iVAN</title>

    <meta name="description" content="基于.NET平台的Windows编程实战（二） 需求分析与数据库设计 大家都知道一个系统的成败与否关键在于其所做的需求分析是否到位,数据库的设计是否合理.因为本系列文章的目的是在于提高大家对.NET Windows编程的实战能力,故不对需求分析与数据库设计作太多的理论说明,有关这方面的知识请大家自行查阅相关资料,在这里这是简单的罗列一下整个案例系统的功能需求及数据库的设计. 一.需求分析 看过本系列课程前言中案例背景的,应该能大致知道本案例的需求了,我在这里简单的罗列一下吧: 1.系统应该为单机版可安装的软件: 2.系统统计出的数据可随时进行合并,导出-- 3.系">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">基于.NET平台的Windows编程实战（二） 需求分析与数据库设计</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>大家都知道一个系统的成败与否关键在于其所做的需求分析是否到位，数据库的设计是否合理。因为本系列文章的目的是在于提高大家对.NET Windows编程的实战能力，故不对需求分析与数据库设计作太多的理论说明，有关这方面的知识请大家自行查阅相关资料，在这里这是简单的罗列一下整个案例系统的功能需求及数据库的设计。</p>
<p>一、需求分析</p>
<p>看过本系列课程前言中案例背景的，应该能大致知道本案例的需求了，我在这里简单的罗列一下吧：</p>
<p>1.系统应该为单机版可安装的软件；</p>
<p>2.系统统计出的数据可随时进行合并，导出……</p>
<p>3.系统应具备如下基本功能：</p>
<p>（1）.问卷管理：添加、编辑、查看、导出、删除问卷等；</p>
<p>（2）.问卷统计：添加、导出、合并、清空统计，并可自动对录入的统计进行自动百分比计算等；</p>
<p>（3）.题目管理：添加、编辑、查看、删除、存入题库等；</p>
<p>（4）.题库管理：添加、编辑、查看、删除、插入到问卷等；</p>
<p>（5）.数据库导出及还原功能。</p>
<p>功能流程图如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vOTZfMDkxMTA5MDM0NTU3XzEuanBn.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:21:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%b3%bb%e7%bb%9f/" title="系统">系统</a>, <a href="https://www.iamivan.net/tag/%e5%8a%9f%e8%83%bd/" title="功能">功能</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93%e8%ae%be%e8%ae%a1/" title="数据库设计">数据库设计</a>, <a href="https://www.iamivan.net/tag/%e9%9c%80%e6%b1%82/" title="需求">需求</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e6%9e%90/" title="分析">分析</a>, <a href="https://www.iamivan.net/tag/%e7%bb%9f%e8%ae%a1/" title="统计">统计</a>, <a href="https://www.iamivan.net/tag/%e8%af%be%e7%a8%8b%e8%ae%be%e8%ae%a1%e9%a2%98%e7%9b%ae/" title="课程设计题目">课程设计题目</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>基于.NET平台的Windows编程实战（二） 需求分析与数据库设计的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0348p.html" rel="bookmark">艾伟：基于&period;NET平台的Windows编程实战（四）&mdash;&mdash; 数据库操作类的编写</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列文章导航 基于.NET平台的Windows编程实战(一)--前言 基于.NET平台的Windows编程实战(二)-- 需求分析与数据库设计 基于.NET平台的Windows编程实战(四)-- 数据库操作类的编写 基于.NET平台的Windows编程实战(五)-- 问卷管理功能的实现 基于.NET平台的Windows编程实战(六)-- 题目管理功能的实现 大家都知道本系统的正常运行少不了数据库操作这一块,且其在本系统中具有决定性作用,可以说没有它的操作系统将无法运行,故在本节课程中,专门把针			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlOByDb.html" rel="bookmark">艾伟&lowbar;转载：基于&period;NET平台的Windows编程实战（四）&mdash;&mdash; 数据库操作类的编写</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列文章导航 基于.NET平台的Windows编程实战(一)--前言 基于.NET平台的Windows编程实战(二)-- 需求分析与数据库设计 基于.NET平台的Windows编程实战(四)-- 数据库操作类的编写 基于.NET平台的Windows编程实战(五)-- 问卷管理功能的实现 基于.NET平台的Windows编程实战(六)-- 题目管理功能的实现 大家都知道本系统的正常运行少不了数据库操作这一块,且其在本系统中具有决定性作用,可以说没有它的操作系统将无法运行,故在本节课程中,专门把针			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNL0mb.html" rel="bookmark">基于&period;NET平台的Windows编程实战（四） 数据库操作类的编写</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文配套源码 大家都知道本系统的正常运行少不了数据库操作这一块,且其在本系统中具有决定性作用,可以说没有它的操作系统将无法运行,故在本节课程中,专门把针对数据库的操作类拿出来讲讲,以便大家更加容易理解后面的课程. 好,进入正题-- 首先,我们来新建一个类,方法如下: 打开上一节课我们新建的QuestionnaireSystem项目,右击项目名,在出现的对话框中选择&quot;添加&quot;à&quot;类&quot;,在弹出的&quot;添加新项&quot;中选择&quot;类&quot;,并在下面的&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAlrA2b.html" rel="bookmark">艾伟&lowbar;转载：基于&period;NET平台的Windows编程实战（二）&mdash;&mdash; 需求分析与数据库设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列文章导航 基于.NET平台的Windows编程实战(一)--前言 基于.NET平台的Windows编程实战(二)-- 需求分析与数据库设计 基于.NET平台的Windows编程实战(四)-- 数据库操作类的编写 基于.NET平台的Windows编程实战(五)-- 问卷管理功能的实现 基于.NET平台的Windows编程实战(六)-- 题目管理功能的实现 大家都知道一个系统的成败与否关键在于其所做的需求分析是否到位,数据库的设计是否合理.因为本系列文章的目的是在于提高大家对.NET Wind			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP2NRqb.html" rel="bookmark">艾伟&lowbar;转载：基于&period;NET平台的Windows编程实战（五）&mdash;&mdash; 问卷管理功能的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列文章导航 基于.NET平台的Windows编程实战(一)--前言 基于.NET平台的Windows编程实战(二)-- 需求分析与数据库设计 基于.NET平台的Windows编程实战(四)-- 数据库操作类的编写 基于.NET平台的Windows编程实战(五)-- 问卷管理功能的实现 基于.NET平台的Windows编程实战(六)-- 题目管理功能的实现 首先,为了使我们的界面更加便于操作及布局,我们引入第三开源控件DockPanel[当然也可以不引入控件而直接进行开发],你可以从这里:Do			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrDKxjz.html" rel="bookmark">艾伟：基于&period;NET平台的Windows编程实战（五）&mdash;&mdash; 问卷管理功能的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列文章导航 基于.NET平台的Windows编程实战(一)--前言 基于.NET平台的Windows编程实战(二)-- 需求分析与数据库设计 基于.NET平台的Windows编程实战(四)-- 数据库操作类的编写 基于.NET平台的Windows编程实战(五)-- 问卷管理功能的实现 基于.NET平台的Windows编程实战(六)-- 题目管理功能的实现 首先,为了使我们的界面更加便于操作及布局,我们引入第三开源控件DockPanel[当然也可以不引入控件而直接进行开发],你可以从这里:Do			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvEGRNb.html" rel="bookmark">艾伟：基于&period;NET平台的Windows编程实战（一）&mdash;&mdash;前言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列文章导航 基于.NET平台的Windows编程实战(一)--前言 基于.NET平台的Windows编程实战(二)-- 需求分析与数据库设计 基于.NET平台的Windows编程实战(四)-- 数据库操作类的编写 基于.NET平台的Windows编程实战(五)-- 问卷管理功能的实现 基于.NET平台的Windows编程实战(六)-- 题目管理功能的实现 前言:本系列文章是一个关于.NET Windows编程的入门实战教程.通过一个完整的真实案例:问卷调查管理系统,全面展示了基于.NET平台			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zea7o9z.html" rel="bookmark">艾伟&lowbar;转载：基于&period;NET平台的Windows编程实战（六）&mdash;&mdash; 题目管理功能的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列文章导航 基于.NET平台的Windows编程实战(一)--前言 基于.NET平台的Windows编程实战(二)-- 需求分析与数据库设计 基于.NET平台的Windows编程实战(四)-- 数据库操作类的编写 基于.NET平台的Windows编程实战(五)-- 问卷管理功能的实现 基于.NET平台的Windows编程实战(六)-- 题目管理功能的实现 申明:本系列课程是专为新手们写来入门练习用的,目的是想通过一个完整的问卷调查管理系统的案例开发来让新手们了解.加深或是熟悉软件项目的开发流			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWN21Ab.html" rel="bookmark">艾伟&lowbar;转载：基于&period;NET平台的Windows编程实战（一）&mdash;&mdash;前言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列文章导航 基于.NET平台的Windows编程实战(一)--前言 基于.NET平台的Windows编程实战(二)-- 需求分析与数据库设计 基于.NET平台的Windows编程实战(四)-- 数据库操作类的编写 基于.NET平台的Windows编程实战(五)-- 问卷管理功能的实现 基于.NET平台的Windows编程实战(六)-- 题目管理功能的实现 前言:本系列文章是一个关于.NET Windows编程的入门实战教程.通过一个完整的真实案例:问卷调查管理系统,全面展示了基于.NET平台			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO2LDRp.html" rel="bookmark">基于&period;NET平台的Windows编程实战（一）前言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列文章导航 基于.NET平台的Windows编程实战(一)前言 基于.NET平台的Windows编程实战(二) 需求分析与数据库设计 基于.NET平台的Windows编程实战(四) 数据库操作类的编写 基于.NET平台的Windows编程实战(五) 问卷管理功能的实现 基于.NET平台的Windows编程实战(六) 题目管理功能的实现 前言:本系列文章是一个关于.NET Windows编程的入门实战教程.通过一个完整的真实案例:问卷调查管理系统,全面展示了基于.NET平台的Windows编程			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkDmyz.html" rel="bookmark" class="title">Photoshop设计教程&colon;变形金刚2电影海报设计</a>
					<div>
						在此大家也可以跟着教程,用Photoshop制作变形金刚2海报,彰显个性!先看看效果图.下面变形金刚2电影海报设计主要应用了Photoshop的文字工具.渐变.蒙板等,希望大家喜欢. 先看效果图 图0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGYakM.html" rel="bookmark" class="title">CSS属性&lpar;颜色背景属性&rpar;</a>
					<div>
						css 2.颜色和背景属性 您总不希望自己的页面处于黑白世界吧.如果给用&lt;font&gt;属性定义的文本添上颜色是不是会更好呢? 下面我们就讲一下CSS的颜色和背景属性.先来看一下CSS下的颜色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZPV4M.html" rel="bookmark" class="title">月神小胖：再谈SEOer关心的百度权重问题</a>
					<div>
						  对于一个网站而言,排名是至关重要的,而排名的影响因素除了外链,内容之外,大家还关心的一个核心内容就是网站的权重,而权重的高低,直接影响了您的网站再各大搜索引擎的排名,所以今天月神小胖在这里分享下自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7jxAM.html" rel="bookmark" class="title">oracle如何利用STANDBY将单实例数据库升级为RAC环境（三）</a>
					<div>
						利用Oracle的STANDBY技术,可以将单实例数据库升级到RAC数据库.这种方式可以有效的降低单实例迁移到RAC环境的停机时间. 这篇文章描述单实例环境与RAC环境的SWITCHOVER过程. 前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElRWLz.html" rel="bookmark" class="title">&period;Net Discovery系列之一 string从入门到精通&lpar;上&rpar;</a>
					<div>
						string是一种很特殊的数据类型,它既是基元类型又是引用类型,在编译以及运行时,.Net都对它做了一些优化工作,正式这些优化工作有时会迷惑编程人员,使string看起来难以琢磨,这篇文章分上下两章, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxj22b.html" rel="bookmark" class="title">Python计算一个文件里字数的方法</a>
					<div>
						 本文实例讲述了Python计算一个文件里字数的方法.分享给大家供大家参考.具体如下: 这段程序从所给文件中找出字数来. ? 1 2 3 4 5 6 7 8 9 10 11 12 from strin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOxJkM.html" rel="bookmark" class="title">表格设计你要知道的（上）</a>
					<div>
						想必多数同学曾经学习计算机就是从Word开始,其中一项重要的学习任务就是创建表格,如今在网络页面里表格随处可见,尤其是商业产品里充满了大量的数据,要没有这些表格估计看内容得吐血-- 表格形形色色,默默 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rq0op.html" rel="bookmark" class="title">Win8系统将任意文件固定到&OpenCurlyDoubleQuote;开始&rdquo;屏幕的解决方案</a>
					<div>
						默认情况下Windows 8只能将特定文件类型的文件固定到&quot;开始&quot;屏幕,那么我们如果想将任意文件固定到&quot;开始&quot;屏幕,该怎么办呢? 步骤1: 打开记事本,将一下内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ70Owb.html" rel="bookmark" class="title">win8如何对外接屏幕设置</a>
					<div>
						  不少笔记本用户在使用时在那个是抱怨屏幕太少,尤其是在要做演示时就更不方便了,所以为设备添加第二屏幕就很有必要.不过添加第二屏幕可不是插上就能用的,所以本期的&lt;Win8大百科&gt;就将介绍如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24Wmkp.html" rel="bookmark" class="title">jquery、js操作checkbox全选反选</a>
					<div>
						 全选反选checkbox在实际应用中比较常见,本文有个不错的示例,大家可以参考下 操作checkbox,全选反选   代码如下: //全选  function checkAll() {  $('in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGA0lb.html" rel="bookmark" class="title">Win7如何建立并开启Wifi热点</a>
					<div>
						  还在担心手机卡流量太少了吗?不妨试试在Win7系统下建立并开启WiFi热点,有了WiFi,你就可以畅玩支持WiFi的移动设备了. 工具/原料 计算机(Win7系统) WiFi设备 步骤/方法 首先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3AV6p.html" rel="bookmark" class="title">win7系统开关机声音如何进行自定义更改</a>
					<div>
						  大家对windows操作系统开关机声音在熟悉不过了吧,这种经典声音听久了也会厌倦,虽然只是那么几秒钟的时间,如果你是个追求个性的用户,相信你也会对电脑开机和关机的声音进行设置吧,我们可以将开关机声 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG30Vp.html" rel="bookmark" class="title">迅雷原本下载完成了一大半但是突然进度显示完成很小一部分</a>
					<div>
						  1.这种情况可能是迅雷7的进度保护导致的,这个情况建议重新下载当前资源. 2.如多个文件或者经常出现这个情况,请卸载并在另外一个磁盘上重新安装最新版本. (建议不要覆盖安装,必须卸载安装)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6QmLM.html" rel="bookmark" class="title">4、libgdx应用框架</a>
					<div>
						(原文:http://www.libgdx.cn/topic/29/4-libgdx%E5%BA%94%E7%94%A8%E6%A1%86%E6%9E%B6) 模块 作为核心,libgdx提供了六个接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bam0ZJb.html" rel="bookmark" class="title">connection-Teradata 10061无法链接</a>
					<div>
						问题描述 Teradata 10061无法链接 在teradata administrator进行连接时 10061:10061 WSA E ConnRefused:The Teradata seve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWLnOp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;小黄鸡守护计划&rdquo;防止儿童丢失 &num;科技有温度&num;</a>
					<div>
						放学回家 除了小黄帽,还有我们守护孩子的安全 贝聊是家园共育第一平台,面向全国逾20万所幼儿园.6000万适龄儿童及1.5亿家长,提供一站式家园共育产品和个性化育儿方案,推动家园同步,轻松培养孩子好能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeGmrb.html" rel="bookmark" class="title">ql erver2008-SqlServer2008数据库同步</a>
					<div>
						问题描述 SqlServer2008数据库同步 现在有一主一备两个服务器,两个服务器都装有SqlServer2008,使用的是同一个数据库a,如果主服务器挂了,备用的服务器就接上,想实现的是在主服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm7VNb.html" rel="bookmark" class="title">ONTAP 9 能否成为NetApp Data Fabric的重要支撑？</a>
					<div>
						当EMC被戴尔以670亿美元合并之后,作为与EMC竞争20多年的NetApp成为全球最大的独立存储厂商.同时NetApp上任了其新的CEO,人们自然而然关注NetApp的未来走向.包括今天谈存储必谈闪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYyxLp.html" rel="bookmark" class="title">研究发现：企业害怕移动设备成为最大安全威胁源</a>
					<div>
						根据Tech Pro Research在5月进行的一项在线调查显示,日常威胁(如涉及移动设备的安全漏洞)比网络犯罪行为更令人担忧. 这项研究的更多结果如下图所示:   图片来源:Erik Underw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjqPPM.html" rel="bookmark" class="title">Android--视频播放器</a>
					<div>
						SurfaceView 先来介绍一下大部分软件如何解析一段视频流.首先它需要先确定视频的格式,这个和解码相关, 不同的格式视频编码不同,不是这里的重点.知道了视频的编码格式后,再通过编码格式进行解码, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RXlJz.html" rel="bookmark" class="title">域名劫持到底有多严重，该如何量化？</a>
					<div>
						域名劫持到底有多严重,该如何量化? 1. 背景说明 域名劫持是常见的互联网攻击行为,其攻击原理主要分为如下几种: 攻击者监测用户的DNS查询请求,发现有查询申请时,攻击者伪装成DNS服务器向发出请求的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAPAqp.html" rel="bookmark" class="title">Linux OOM killer</a>
					<div>
						转发 https://segmentfault.com/a/1190000008268803					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydBq4b.html" rel="bookmark" class="title">找不到android&period;provider&period;Settings</a>
					<div>
						问题描述 找不到android.provider.Settings 2C 错误提示androidmanifest我已添加了这是我的java项目列表 解决方案 Android ProviderProgu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDm48z.html" rel="bookmark" class="title">PC机和虚拟机输入法切换问题</a>
					<div>
						问题描述 问题:用PC机用浏览器登录虚拟机时,有时候会出现PC机和虚拟机输入法混淆的问题,PC和虚拟机之间切换输入法混淆,切换虚拟机输入法会出现PC输入法改变处理:修改PC机注册表,HKEY_LOCA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw5DAM.html" rel="bookmark" class="title">阿诺德-施瓦辛格签署&OpenCurlyDoubleQuote;电子冒名顶替者&rdquo;法案</a>
					<div>
						斯瓦辛格拟签署新法案 加州网络冒名顶替者要小心了:即使你不是&quot;电子冒名顶替者&quot;法案要打击的罪犯,你也可能很快会触犯法律.这项法案尚须加州州长阿诺德-斯瓦辛格签字才能生效,它对于任何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60nlyz.html" rel="bookmark" class="title">《读心术》很悬的测试，是不是和软件也有关呀？</a>
					<div>
						问题描述 我觉的一点也不准了,从数学方面说应该是这样的:不管你一开始想的数字是多少,算出来都会是9的倍数.最后显示的那个图形就是9,18,27...后面的那个.你可以先别算,先看看9的倍数(除了90) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Jx8kz.html" rel="bookmark" class="title">做网站三年 让我跻身有房一族</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 作为一名站长,特别是作为一位女站长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK0NyM.html" rel="bookmark" class="title">基于ASP&period;NET MVC的ABP框架入门学习教程&lowbar;实用技巧</a>
					<div>
						为什么使用ABP我们近几年陆续开发了一些Web应用和桌面应用,需求或简单或复杂,实现或优雅或丑陋.一个基本的事实是:我们只是积累了一些经验或提高了对,NET的熟悉程度. 随着软件开发经验的不断增加,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0JQrz.html" rel="bookmark" class="title">一个JavaScript函数把URL参数解析成Json对象&lowbar;javascript技巧</a>
					<div>
						问题:请编写一个JavaScript函数parseQueryString,它的用途是把URL参数解析为一个对象. eg:var obj=parseQueryString(url); 创建对象的三种形式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6L1XM.html" rel="bookmark" class="title">php文件上传你必须知道的几点&lowbar;php技巧</a>
					<div>
						本篇文章主要说明的是与php文件上传的相关配置的知识点.PHP文件上传功能配置主要涉及php.ini配置文件中的upload_tmp_dir.upload_max_filesize.post_max_ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
